# FLUX.1 Kontext Dev - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-flux-1-kontext-dev

# FLUX.1 Kontext Dev

POST

/

v3

/

async

/

flux-1-kontext-dev

Try it

FLUX.1 Kontext Dev

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/async/flux-1-kontext-dev \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"prompt": "&#x3C;string>",
"images": [
"&#x3C;string>"
],
"fast_mode": true,
"size": "&#x3C;string>",
"num_inference_steps": 123,
"guidance_scale": 123,
"num_images": 123,
"seed": 123,
"output_format": "&#x3C;string>"
}
'
```

```
import requestsurl = "https://api.novita.ai/v3/async/flux-1-kontext-dev"payload = { "prompt": "&#x3C;string>", "images": ["&#x3C;string>"], "fast_mode": True, "size": "&#x3C;string>", "num_inference_steps": 123, "guidance_scale": 123, "num_images": 123, "seed": 123, "output_format": "&#x3C;string>"}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({ prompt: '&#x3C;string>', images: ['&#x3C;string>'], fast_mode: true, size: '&#x3C;string>', num_inference_steps: 123, guidance_scale: 123, num_images: 123, seed: 123, output_format: '&#x3C;string>' })};fetch('https://api.novita.ai/v3/async/flux-1-kontext-dev', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/v3/async/flux-1-kontext-dev", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'prompt' => '&#x3C;string>', 'images' => [ '&#x3C;string>' ], 'fast_mode' => true, 'size' => '&#x3C;string>', 'num_inference_steps' => 123, 'guidance_scale' => 123, 'num_images' => 123, 'seed' => 123, 'output_format' => '&#x3C;string>' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/v3/async/flux-1-kontext-dev"	payload := strings.NewReader("{\n \"prompt\": \"&#x3C;string>\",\n \"images\": [\n \"&#x3C;string>\"\n ],\n \"fast_mode\": true,\n \"size\": \"&#x3C;string>\",\n \"num_inference_steps\": 123,\n \"guidance_scale\": 123,\n \"num_images\": 123,\n \"seed\": 123,\n \"output_format\": \"&#x3C;string>\"\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/v3/async/flux-1-kontext-dev") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"prompt\": \"&#x3C;string>\",\n \"images\": [\n \"&#x3C;string>\"\n ],\n \"fast_mode\": true,\n \"size\": \"&#x3C;string>\",\n \"num_inference_steps\": 123,\n \"guidance_scale\": 123,\n \"num_images\": 123,\n \"seed\": 123,\n \"output_format\": \"&#x3C;string>\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/v3/async/flux-1-kontext-dev")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"prompt\": \"&#x3C;string>\",\n \"images\": [\n \"&#x3C;string>\"\n ],\n \"fast_mode\": true,\n \"size\": \"&#x3C;string>\",\n \"num_inference_steps\": 123,\n \"guidance_scale\": 123,\n \"num_images\": 123,\n \"seed\": 123,\n \"output_format\": \"&#x3C;string>\"\n}"response = http.request(request)puts response.read_body
```

200

```
{
"task_id": "&#x3C;string>"
}
```

FLUX.1 Kontext dev is a model with greatly improved prompt adherence and typography generation meet premium consistency for editing without compromise on speed.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-prompt)

prompt

string

required

The prompt to generate an image from.

[​](#param-images)

images

string[]

The images to generate an image from. Limit to a maximum of 4 images.

[​](#param-fast-mode)

fast_mode

boolean

Whether to enable fast mode, which will generate videos more quickly but may reduce quality and lower the price.Default: `false`.

[​](#param-size)

size

string

The size of the generated media in pixels (width*height). Range [256 ~ 1536 per dimension].

[​](#param-num-inference-steps)

num_inference_steps

integer

The number of inference steps to perform. Default is 28. Range [1 ~ 50].

[​](#param-guidance-scale)

guidance_scale

number

The guidance scale to use for the generation. Default is 2.5. Range [1.0 ~ 20.0].

[​](#param-num-images)

num_images

integer

The number of images to generate. Default is 1. Range [1 ~ 4].

[​](#param-seed)

seed

integer

The random seed to use for the generation. Default is -1. -1 means a random seed will be used. Range [-1 ~ 2147483647].

[​](#param-output-format)

output_format

string

The format of the output image. Default is jpeg.

Enum: `jpeg`, `png`, `webp`

##

[​](#response)

Response

[​](#param-task-id)

task_id

string

required

Use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the generated outputs.

Last modified on September 12, 2025
